Subject: Re: one point (Was [Re: FW: Re: wxwin port])
From: [email-masked] (Doug Evans)

18 Nov 1996 21:27:34 -0800
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Original-To: [email-masked]
Original-CC: [email-masked], [email-masked]
In-reply-to: <[email-masked]> (message from
	Scott Christley on Mon, 18 Nov 1996 04: 59:56 -0800)
Original-Sender: [email-masked]

   Date: Mon, 18 Nov 1996 04:59:56 -0800
   From: Scott Christley <[email-masked]>

   I've run across this problem with some other structures.  It appears that
   GCC will automatically align the size of some variables in order to eek out
   more performance.

I don't believe this assessment can be correct.
If GCC doesn't align structures [by default] the way the native compiler does,
then that is a bug, end of story.

   A WORD, which is an unsigned short, should be 16 bits but
   GCC will pad it out to a full 32 bits which is presumably more efficient to
   pass.  I've noticed this in structures which have an odd number of WORD
   variables as the BITMAPFILEHEADER structure below.  When there is an even
   number of WORD variables then GCC appears to pack both into 32 bits.
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".